---
title: Element.tagName
slug: Web/API/Element/tagName
tags:
  - API
  - DOM
  - DOM Reference
  - Element
  - Gecko
  - NeedsBrowserCompatibility
  - Property
  - Read-only
  - Reference
  - tagName
---
<div>{{ApiRef("DOM")}}</div>

<p><span class="seoSummary">The <strong><code>tagName</code></strong> read-only property of the {{domxref("Element")}} interface returns the tag name of the element on which it's called.</span> For example, if the element is an {{HTMLElement("img")}}, its <code>tagName</code> property is <code>"IMG"</code> (for HTML documents; it may be cased differently for XML/XHTML documents).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>elementName</em> = <em>Element</em>.tagName;
</pre>

<h3 id="Value">Value</h3>

<p>A string indicating the element's tag name. This string's capitalization depends on the document type:</p>

<ul>
 <li>For DOM trees which represent HTML documents, the returned tag name is always in the canonical upper-case form. For example, <code>tagName</code> called on a {{HTMLElement("div")}} element returns <code>"DIV"</code>.</li>
 <li>The tag names of elements in an XML DOM tree are returned in the same case in which they're written in the original XML file. If an XML document includes a tag <code>"&lt;SomeTag&gt;"</code>, then the <code>tagName</code> property's value is <code>"SomeTag"</code>.</li>
</ul>

<p>For {{domxref("Element")}} objects, the value of <code>tagName</code> is the same as the value of the {{domxref("Node.nodeName", "nodeName")}} property the element object inherits from {{domxref("Node")}}.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;span id="born"&gt;When I was born...&lt;/span&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">var span = document.getElementById("born");
console.log(span.tagName);
</pre>

<p>In XHTML (or any other XML format), the original case will be maintained, so <code>"span"</code> would be output in case the original tag name was created lowercase. In HTML, <code>"SPAN"</code> would be output instead regardless of the case used while creating the original document.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-element-tagname', 'Element: tagName')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.tagName")}}</p>
